% Make up the figure that shows the variation of the test statistic 
% as a function of DWT shift
%
% uses: coifwavf, make_phi, FWT_TI, compute_dstat


  N = 2^14;

  M = 10;
  J = log2(N);
  L = J-M;
  qmf = sqrt(2)*coifwavf('coif2');
  wname = ['c2'];
  Kvec = 7;
  gamma = 1;


  for k = Kvec
    phi = makephi(qmf,k-1);
    philen = length(phi);
    [m,mi] = max(abs(phi));

    sig = zeros(N,1);
  
    span = (N/2-mi) + (1:philen);
    sig(span) = phi(:);
    [m,mi] = max(abs(sig));


    sti = FWT_TI(sig,L,qmf);

    dstat = 2^(k*gamma)*(compute_dstat(sti,gamma));

    plot(1:length(dstat),dstat);
    set(gca,'Xlim',[1 length(dstat)]);
    set(gca,'FontName','Times','FontSize',14);
    xlabel('Input Delay (l) ');
    ylabel('E_{k}(l)');
  end





